Description

Basically if you use postgis you may have columns that update using triggers automatically, maybe having a visual cue (highlight the

column) would make it easier for technicians to know those columns are filled using triggers. See attached, maybe even have the

possibility to change the color to the one you desire

History

#1 - 2014-10-16 10:48 AM - Giovanni Manghi

- Category set to Attribute table

#2 - 2014-10-17 01:52 AM - Matthias Kuhn

Currently, QGIS has no knowledge about such information from postgres. Is it possible to detect this without inspecting the triggers themselves (possibly

even parsing them)?

That said, I assume you will have to set this manually.

An option I could imagine is, that you set the fields to not-editable (you probably do not want users to edit them as this can be overwritten by the trigger).

That already works. A slight improvement could be to e.g. add a lock icon to the table header.

Another feature could be to define colors for columns that would be used in the attribute table (and maybe feature forms). This feature would be

disconnected from triggers/editable state of the widget etc and purely visual.

#3 - 2014-10-17 07:25 AM - Antonio Locandro

That sounds ok! So I would need to create a template project to give to other technicians before hand correct? (This is done in the Edit Widget correct).

The lock icon would provide visual cue and would be a nice addition.

I don't quite grasp the color part.

#4 - 2014-10-17 08:36 AM - Matthias Kuhn

Yep, the first one is related to edit widgets and the lock Icon would be a feature request for the visual cue.

The color part would be a completely new feature request, to let you manually define arbitrary colors for attributes. Not sure though if that's something that

people are waiting for.

#5 - 2014-10-17 08:47 AM - Antonio Locandro

Ok maybe closing this issue and open a new one for the feature request? I think I can't close it can someone with permission do it? Or revise this one?
I think the lock icon would be beneficial not sure about the colors

#6 - 2014-10-20 02:05 PM - Matthias Kuhn

- Subject changed from QGIS Attribute table - Differentiate a column that updates with triggers to QGIS Attribute table - visual cue for immutable 

columns

I updated the main title to reflect the current state

#7 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2018-03-19 06:11 PM - Antonio Locandro

Should we close this?
